Upgrades to Software Updater engines bring many improvements

F-Secure Software Updater scans computers for missing software updates, and keeps Windows and third-party applications up to date and patched from vulnerabilities.

Upgrades to our F-Secure Software Updater engines will change the way that the Software Updater databases are downloaded and distributed to managed hosts. To continue using the Software Updater functionality after July 31, 2019, your Business Suite products may need to be updated.

Note: The antivirus functionality is not affected: Client Security will work as it is expected to and will scan for malware. This upgrade only affects the ability to automatically update software, such as Acrobat Reader or Flash on the endpoint clients.

Benefits of the new Software Updater engines

  • In the previous version, when installing multiple updates, an intermediate installation failure impacted on all other installations pending in the installation queue. The new engine handles the installation of multiple updates gracefully and continues installing updates without waiting for the next installation round.
  • Thanks to the support for the rebootless mode, it is now possible to install multiple updates requiring reboot without intermediate computer restarts.
  • Installation of updates starts now automatically as soon as the computer is booted up even if the previous installation schedule was missed.
  • The Software Updater database updates are now downloaded incrementally using diffs which reduces network traffic.
  • A number of internal improvements and optimizations to reduce system resource consumption when running scan and install operations.

Actions required

Note: Client Security 13.x and Email & Server Security 12.x products will receive a software patch automatically via the channel.

To deploy the new Software Updater engines, you need to upgrade the following Business Suite products:

Client Security 14.00, 14.01, and 14.02

Upgrade Client Security to version 14.10 or install the required hotfix.

Policy Manager 13.x

Policy Manager for Linux 13.x

Policy Manager Proxy 13.x

Policy Manager Proxy for Linux 13.x

Upgrade Policy Manager to version 13.13, or to 14.10 or higher

Policy Manager 14.00, 14.01

Policy Manager for Linux 14.00, 14.01

Policy Manager Proxy 14.00

Policy Manager Proxy for Linux 14.00

Upgrade Policy Manager to version 14.10 or higher

Note:

If you don't upgrade to the new Software Updater once it's available, you will be reminded about it after 7 days from the release of the upgrade. And if you still don't upgrade, you will receive an alert about outdated Software Updater databases in 7 days after the first reminder provided that you have configured email alerting in Policy Manager.

Pricing & Product Info

For product info and pricing please go to the F-Secure product page

Version history
Revision #:
5 of 5
Last update:
Tuesday
Updated by: